"Initialize Image Building"
MCCacheRepository instVarNamed: 'default' put: nil.
Deprecation raiseWarning: false.
HTTPSocket useProxyServerNamed: 'proxy.eng.vmware.com' port: 3128.

!
Gofer new
  squeaksource: 'MetacelloRepository';
  package: 'ConfigurationOfGemTools';
  load.

((Smalltalk at: #ConfigurationOfGemTools) project version: '1.0-beta.8.7') load.

SystemWindow closeTopWindow.

(Smalltalk at: #OGLauncher) open.
SystemWindow topWindow width: 600; height: 550; top: 10; left: 5.

FileDirectory default 
  fileNamed: '../../oneclick-icons/GemTools.jpeg'
  do: [:fileStream | LogoImageMorph default: (ImageMorph fromStream: fileStream) ].


!
"don't need proxy anymore"
HTTPSocket stopUsingProxyServer.
!
"Unload Build Tools"
[ Gofer new
	package: 'HudsonBuildTools';
	unload ]
		on: Error
		do: [ :err | "package not present" ].
!
"Clear Monticello Caches"
MCCacheRepository instVarNamed: 'default' put: nil.
MCFileBasedRepository flushAllCaches.
MCMethodDefinition shutDown.
MCDefinition clearInstances.
!
"Cleanup Smalltalk"
Smalltalk flushClassNameCache.
Smalltalk organization removeEmptyCategories.
Smalltalk allClassesAndTraitsDo: [ :each |
	each organization removeEmptyCategories; sortCategories.
	each class organization removeEmptyCategories; sortCategories ].
!
"Cleanup System Memory"
Author reset.
Smalltalk garbageCollect.
Symbol compactSymbolTable.
Deprecation raiseWarning: true.
!
"Save and Quit"
WorldState addDeferredUIMessage: [
	SmalltalkImage current snapshot: true andQuit: true ].
!
